1. Physical
Tjar
  • 🗂️ Overview
  • 🚀 Start Here
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Order Statuses
      GET
    • Create Order
      POST
    • Change Order Status
      POST
  • Products
    • Digital
      • Create Digital Product
      • Get Digital Product Details
      • Update Digital Product
    • Booking
      • Get Booking Product Details
      • Create Booking Product
      • Update Booking Product
    • Service
      • Get Service Product
      • Create Service Product
      • Update Service Product
    • Physical
      • Get Physical Product Details
        GET
      • Create Physical Product
        POST
      • Update Physical Product
        PATCH
    • List All Products
      GET
    • Get Product Details
      GET
    • Delete Product
      DELETE
  • Media
    • Upload Media
      POST
    • Upload Multiple Media
      POST
    • Update Media
      POST
  • Webhook
    • Events
      • Cart Abandoned
      • Order Created
      • Order Created
      • Order Status Changed
      • Order Updated
      • Product Created
      • Product Deleted
      • Product Updated
      • Product Review Submitted
      • Product Stock Update
      • Customer Created
      • Customer Updated
      • Customer Login
      • Customer Welcome
      • Category Created
      • Category Updated
      • Category Deleted
      • Brand Created
      • Brand Updated
      • Brand Deleted
    • List Webhooks
      GET
    • Register Webhook
      POST
    • Update Webhook
      PUT
    • Delete Webhook
      DELETE
    • Verify Signature
      POST
    • Refresh Secret
      POST
    • Webhook Events
      GET
  • Abandoned Cart
    • List Abandoned Carts
    • Get Abandoned Cart Details
    • Send Reminder
  1. Physical

Get Physical Product Details

Developing
GET
/api/core/v1/products/physical/{identifier}
Last modified:2026-06-29 12:36:39
Get a specific physical product details by Identifier.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/core/v1/products/physical/195' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - OK
{
    "status": "success",
    "message": "Physical product details retrieved successfully",
    "data": {
        "id": 192,
        "identifier": 192,
        "slug": "nike-sports-shoe-001",
        "name": {
            "ar": "اسم المنتج الجديد",
            "en": "New Product Name"
        },
        "summary": {
            "ar": "حذاء رياضي المنتج الجديد",
            "en": "New Product sports shoe"
        },
        "description": {
            "ar": "<p>وصف تفصيلي للحذاء الرياضي بمواد عالية الجودة</p>",
            "en": "<p>Detailed description of the sports shoe with high quality materials</p>"
        },
        "type": "physical",
        "type_id": 1,
        "price": 120,
        "sale_price": 99.99,
        "is_refundable": true,
        "min_purchase": 1,
        "max_purchase": 5,
        "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/3-screen-of-tutorial1766840221.png",
        "is_published": true,
        "stock": 100,
        "is_unlimited": false,
        "ratings": null,
        "video": null,
        "created_at": "2026-02-27 23:54:46",
        "updated_at": "2026-04-12 00:10:38",
        "product_options": [
            {
                "type": "radio",
                "title": {
                    "ar": "الحجم",
                    "en": "Size"
                },
                "sub_title": {
                    "ar": "",
                    "en": ""
                },
                "options": {
                    "ar": {
                        "صغير": 0,
                        "وسط": 5,
                        "كبير": 10
                    },
                    "en": {
                        "Small": 0,
                        "Medium": 5,
                        "Large": 10
                    }
                },
                "is_required": true,
                "multi_select": false
            }
        ],
        "brand": {
            "id": 1,
            "title": "",
            "name": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "description": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "logo": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg",
            "banner": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg"
        },
        "badge": {
            "id": 2,
            "name": "اكثر مبيعآ",
            "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png"
        },
        "tags": [
            {
                "id": 533,
                "tag_name": "electronics"
            },
            {
                "id": 534,
                "tag_name": "sale"
            },
            {
                "id": 535,
                "tag_name": "new"
            }
        ],
        "categories": [
            {
                "id": 1,
                "name": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "description": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            }
        ],
        "sub_categories": [],
        "child_categories": [],
        "inventory": {
            "id": 179,
            "sku": "NIKE-SHOE-001",
            "stock_count": 100,
            "sold_count": 0,
            "inventory_details": [
                {
                    "id": 322,
                    "color": {
                        "id": 1,
                        "code": "#ff3838",
                        "name": {
                            "ar": "Red",
                            "en": "Red"
                        }
                    },
                    "size": {
                        "id": 2,
                        "code": "S",
                        "name": {
                            "ar": "Small",
                            "en": "Small"
                        }
                    },
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/android1764072325.png",
                    "additional_price": 0,
                    "additional_cost": 0,
                    "stock_count": 50,
                    "sold_count": 0,
                    "attributes": [
                        {
                            "id": 623,
                            "name": "Material",
                            "value": "Cotton"
                        },
                        {
                            "id": 624,
                            "name": "Weight",
                            "value": "200g"
                        }
                    ]
                },
                {
                    "id": 323,
                    "color": {
                        "id": 5,
                        "code": "#0984e3",
                        "name": {
                            "ar": "Blue",
                            "en": "Blue"
                        }
                    },
                    "size": {
                        "id": 3,
                        "code": "M",
                        "name": {
                            "ar": "Medium",
                            "en": "Medium"
                        }
                    },
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png",
                    "additional_price": 5,
                    "additional_cost": 2,
                    "stock_count": 30,
                    "sold_count": 0,
                    "attributes": [
                        {
                            "id": 625,
                            "name": "Material",
                            "value": "Cotton"
                        },
                        {
                            "id": 626,
                            "name": "Weight",
                            "value": "200g"
                        }
                    ]
                },
                {
                    "id": 324,
                    "color": {
                        "id": 6,
                        "code": "#55efc4",
                        "name": {
                            "ar": "Green",
                            "en": "Green"
                        }
                    },
                    "size": {
                        "id": 1,
                        "code": "L",
                        "name": {
                            "ar": "Large",
                            "en": "Large"
                        }
                    },
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/1-screen-of-tutorial1766840182.png",
                    "additional_price": 10,
                    "additional_cost": 4,
                    "stock_count": 20,
                    "sold_count": 0,
                    "attributes": [
                        {
                            "id": 627,
                            "name": "Material",
                            "value": "Polyester"
                        },
                        {
                            "id": 628,
                            "name": "Weight",
                            "value": "250g"
                        }
                    ]
                }
            ]
        },
        "delivery_options": [
            {
                "id": 1,
                "icon": "las la-gift",
                "title": {
                    "ar": "التسليم المقدر",
                    "en": "التسليم المقدر"
                },
                "sub_title": {
                    "ar": "خلال 4 أيام",
                    "en": "خلال 4 أيام"
                }
            },
            {
                "id": 2,
                "icon": "las la-gift",
                "title": {
                    "ar": "الشحن مجاني",
                    "en": "الشحن مجاني"
                },
                "sub_title": {
                    "ar": "عند الطلب بأكثر من 100 ريال",
                    "en": "عند الطلب بأكثر من 100 ريال"
                }
            }
        ],
        "return_policy": {
            "id": 110,
            "shipping_return_description": "Returns accepted within 30 days of purchase."
        },
        "gallery": [
            {
                "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/android1764072325.png"
            },
            {
                "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png"
            },
            {
                "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/1-screen-of-tutorial1766840182.png"
            }
        ],
        "meta_data": {
            "id": 173,
            "title": "Nike Sports Shoe | Best Price",
            "description": "Buy the best Nike sports shoes at unbeatable prices",
            "image": "http://b56tf.store.test/assets/img/no-image.jpg",
            "fb_title": "Nike Sports Shoe — Great Deal",
            "fb_description": "Premium Nike sports shoes at the best prices. Shop now!",
            "fb_image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png",
            "tw_title": "Nike Sports Shoe",
            "tw_description": "Get your Nike sports shoes today at amazing prices!",
            "tw_image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png"
        }
    }
}
Modified at 2026-06-29 12:36:39
Previous
Update Service Product
Next
Create Physical Product
Built with